Browse Source

bash safemode for ci.sh and i18n.sh

Arian Sanusi (p≡p Foundation) 1 year ago
parent
commit
7bf68b69f2
No account linked to committer's email address
2 changed files with 4 additions and 2 deletions
  1. 3
    2
      ci.sh
  2. 1
    0
      i18n.sh

+ 3
- 2
ci.sh View File

@@ -1,8 +1,9 @@
1 1
 #!/usr/bin/env sh
2 2
 #
3 3
 # continuous integration shell script to set up the project and run tests
4
-#
5
-#
4
+
5
+set -euo pipefail
6
+
6 7
 # apt-get install python-virtualenv
7 8
 # sudo apt-get install libxml2-dev libxslt1-dev (needed for pyquery)
8 9
 # create a virtualenv, preferrably with the python 2.7 variant:

+ 1
- 0
i18n.sh View File

@@ -1,4 +1,5 @@
1 1
 #!/bin/bash
2
+set -euo pipefail
2 3
 
3 4
 echo "extracting message strings..."
4 5
 env/bin/python setup.py extract_messages

Loading…
Cancel
Save